# Configuration for systemwide password quality limits
# Defaults:
#
# Number of characters in the new password that must not be present in the
# old password.
{% if enable_pwquality_new_characters == "yes" %}difok = {{ pwquality_new_characters_count }}{% elif enable_pwquality_new_characters == "no" %}# difok = 1{% endif %}
#
# Minimum acceptable size for the new password (plus one if
# credits are not disabled which is the default). (See pam_cracklib manual.)
# Cannot be set to lower value than 6.
{% if enable_pwquality_minlength == "yes" %}minlen = {{ pwquality_minlen }}{% elif enable_pwquality_minlength == "no" %}# minlen = 8{% endif %}
#
# The maximum credit for having digits in the new password. If less than 0
# it is the minimum number of digits in the new password.
{% if enable_pwquality_numeric_requirement == "yes" %}dcredit = {{ pwquality_numeric_count }}{% elif enable_pwquality_numeric_requirement == "no" %}# dcredit = 0{% endif %}
#
# The maximum credit for having uppercase characters in the new password.
# If less than 0 it is the minimum number of uppercase characters in the new
# password.
{% if enable_pwquality_uppercase_requirement == "yes" %}ucredit = {{ pwquality_uppercase_count }}{% elif enable_pwquality_uppercase_requirement == "no" %}# ucredit = 0{% endif %}
#
# The maximum credit for having lowercase characters in the new password.
# If less than 0 it is the minimum number of lowercase characters in the new
# password.
{% if enable_pwquality_lowercase_requirement == "yes" %}lcredit = {{ pwquality_lowercase_count }}{% elif enable_pwquality_lowercase_requirement == "no" %}# lcredit = 0{% endif %}
#
# The maximum credit for having other characters in the new password.
# If less than 0 it is the minimum number of other characters in the new
# password.
{% if enable_pwquality_special_chars == "yes" %}ocredit = {{ pwquality_special_chars_count }}{% elif enable_pwquality_special_chars == "no" %}# ocredit = 0{% endif %}
#
# The minimum number of required classes of characters for the new
# password (digits, uppercase, lowercase, others).
{% if enable_pwquality_minclass == "yes" %}minclass = {{ pwquality_minclass_count }}{% elif enable_pwquality_minclass == "no" %}# minclass = 0{% endif %}
#
# The maximum number of allowed consecutive same characters in the new password.
# The check is disabled if the value is 0.
{% if enable_pwquality_maxrepeat == "yes" %}maxrepeat = {{ pwquality_maxrepeat_count }}{% elif enable_pwquality_maxrepeat == "no" %}# maxrepeat = 0{% endif %}
#
# The maximum number of allowed consecutive characters of the same class in the
# new password.
# The check is disabled if the value is 0.
{% if enable_pwquality_class_repeat == "yes" %}maxclassrepeat = {{ pwquality_class_repeat_count }}{% elif enable_pwquality_class_repeat == "no" %}# maxclassrepeat = 0{% endif %}
#
# Whether to check for the words from the passwd entry GECOS string of the user.
# The check is enabled if the value is not 0.
# gecoscheck = 0
#
# Whether to check for the words from the cracklib dictionary.
# The check is enabled if the value is not 0.
{% if enable_pwquality_dict_check == "yes" %}dictcheck = 1{% elif enable_pwquality_dict_check == "no" %}# dictcheck = 1{% endif %}
#
# Whether to check if it contains the user name in some form.
# The check is enabled if the value is not 0.
# usercheck = 1
#
# Length of substrings from the username to check for in the password
# The check is enabled if the value is greater than 0 and usercheck is enabled.
# usersubstr = 0
#
# Whether the check is enforced by the PAM module and possibly other
# applications.
# The new password is rejected if it fails the check and the value is not 0.
# enforcing = 1
#
# Path to the cracklib dictionaries. Default is to use the cracklib default.
# dictpath =
#
# Prompt user at most N times before returning with error. The default is 1.
# retry = 3
#
# Enforces pwquality checks on the root user password.
# Enabled if the option is present.
{% if enable_root_password_complexity == "yes" %}enforce_for_root{% elif enable_root_password_complexity == "no" %}# enforce_for_root{% endif %}
#
# Skip testing the password quality for users that are not present in the
# /etc/passwd file.
# Enabled if the option is present.
# local_users_only